Bug 431601 - Add support for EFI driver binary formats
Add support for EFI driver binary formats
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Nick Clifton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-05 15:21 EST by Peter Jones
Modified: 2009-04-07 11:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-07 11:44:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to add support for efi boot service and runtime driver formats. (31.25 KB, patch)
2008-02-05 15:21 EST, Peter Jones
no flags Details | Diff

  None (edit)
Description Peter Jones 2008-02-05 15:21:42 EST
Description of problem:
binutils currently supports EFI (PE) application format, but neither of the two
driver formats.  It'd be nice if it supported them.  Patch attached.  Boot
service drivers have been tested (I built my own FAT driver and it works
correctly), runtime service drivers have not, but they're completely analogous
and the code is near identical except for some ID bits.
Comment 1 Peter Jones 2008-02-05 15:21:42 EST
Created attachment 294040 [details]
patch to add support for efi boot service and runtime driver formats.
Comment 2 Bug Zapper 2008-05-14 01:00:51 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Chris Ward 2009-04-06 05:30:08 EDT
~Attention~

This bug appears to pertain to an important F11 feature, EFI, which the Fedora Community will be testing in an upcoming Fedora Test Day. Your participation in the action would be greatly appreciated!

More information:
https://fedoraproject.org/wiki/QA/Test_Days/2009-04-09
https://fedoraproject.org/wiki/Features/EFI

Note You need to log in before you can comment on or make changes to this bug.